Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface OrderMetadata

All Superinterfaces:
  Metadata

    public interface OrderMetadata

extends Metadata

Represents ordering of a collection field/property.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the version column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the ordering.
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata for the ordering
`java.lang.String` | `getMappedBy()` Accessor for the mapped-by field/property name in the element class.
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this ordering.
`ColumnMetadata` | `newColumnMetadata()` Add a column for this ordering.
`IndexMetadata` | `newIndexMetadata()` Method to set index metadata for the ordering
`OrderMetadata` | `setColumn(java.lang.String column)` Method to set the version column name.
`OrderMetadata` | `setMappedBy(java.lang.String mappedBy)` Method to set mapped-by information whether the order is present in the element class.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setColumn

    OrderMetadata setColumn(java.lang.String column)

  Method to set the version column name.

  Parameters:
    `column` - Name of the version clumn

### getColumn

    java.lang.String getColumn()

  Accessor for the version column name

  Returns:
    The version column name

### setMappedBy

    OrderMetadata setMappedBy(java.lang.String mappedBy)

  Method to set mapped-by information whether the order is present in the element class.

  Parameters:
    `mappedBy` - Field/property name in which to store the ordering in the element

### getMappedBy

    java.lang.String getMappedBy()

  Accessor for the mapped-by field/property name in the element class.

  Returns:
    Name of field/property in element class

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the ordering.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a column for this ordering.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this ordering.

  Returns:
    The number of columns

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set index metadata for the ordering

  Returns:
    The metadata for any index

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata for the ordering

  Returns:
    Index metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.